org.eclipse.microprofile.config.tck

## Class CDIPropertyExpressionsTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.config.tck.CDIPropertyExpressionsTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class CDIPropertyExpressionsTest
    extends org.jboss.arquillian.testng.Arquillian

### Nested Class Summary

Nested Classes
`static class` `CDIPropertyExpressionsTest.PropertyExpressionBean`
`static class` `CDIPropertyExpressionsTest.PropertyExpressionConfigSource`

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`CDIPropertyExpressionsTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.Archive<?>` `deployment()`
`void` `expression()`
`void` `expressionNoDefault()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CDIPropertyExpressionsTest

    public CDIPropertyExpressionsTest()

### Method Detail

#### deployment

    @Deployment
    public static org.jboss.shrinkwrap.api.Archive<?> deployment()

#### expression

    public void expression()

#### expressionNoDefault

    public void expressionNoDefault()